## org.apache.http.impl.auth
Class KerberosScheme

    java.lang.Object
      org.apache.http.impl.auth.AuthSchemeBase
          org.apache.http.impl.auth.GGSSchemeBase
              org.apache.http.impl.auth.KerberosScheme

All Implemented Interfaces:
  AuthScheme, ContextAwareAuthScheme

    public class KerberosScheme

extends GGSSchemeBase

KERBEROS authentication scheme.

Since:
  4.2

Constructor Summary
`KerberosScheme()`
`KerberosScheme(boolean stripPort)`

Method Summary
`Header` `authenticate(Credentials credentials, HttpRequest request, HttpContext context)` Produces KERBEROS authorization Header based on token created by processChallenge.
`protected byte[]` `generateToken(byte[] input, String authServer)`
`String` `getParameter(String name)` There are no valid parameters for KERBEROS authentication so this method always returns `null`.
`String` `getRealm()` The concept of an authentication realm is not supported by the Negotiate authentication scheme.
`String` `getSchemeName()` Returns textual designation of the given authentication scheme.
`boolean` `isConnectionBased()` Returns `true`.

Methods inherited from class org.apache.http.impl.auth.GGSSchemeBase
`authenticate, generateGSSToken, getManager, isComplete, parseChallenge`

Methods inherited from class org.apache.http.impl.auth.AuthSchemeBase
`getChallengeState, isProxy, processChallenge, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### KerberosScheme

    public KerberosScheme(boolean stripPort)

### KerberosScheme

    public KerberosScheme()

Method Detail

### getSchemeName

    public String getSchemeName()

  Description copied from interface: `AuthScheme`
  Returns textual designation of the given authentication scheme.

  Returns:
    the name of the given authentication scheme

### authenticate

    public Header authenticate(Credentials credentials,
                               HttpRequest request,
                               HttpContext context)
                        throws AuthenticationException

  Produces KERBEROS authorization Header based on token created by processChallenge.

  Specified by:
    `authenticate` in interface `ContextAwareAuthScheme`
  Overrides:
    `authenticate` in class `GGSSchemeBase`
  Parameters:
    `credentials` - not used by the KERBEROS scheme.
    `request` - The request being authenticated
    `context` - HTTP context
  Returns:
    KERBEROS authentication Header
  Throws:
    `AuthenticationException` - if authentication string cannot be generated due to an authentication failure

### generateToken

    protected byte[] generateToken(byte[] input,
                                   String authServer)
                            throws GSSException

  Specified by:
    `generateToken` in class `GGSSchemeBase`
  Throws:
    `GSSException`

### getParameter

    public String getParameter(String name)

  There are no valid parameters for KERBEROS authentication so this method always returns `null`.

  Parameters:
    `name` - The name of the parameter to be returned
  Returns:
    `null`

### getRealm

    public String getRealm()

  The concept of an authentication realm is not supported by the Negotiate authentication scheme. Always returns `null`.

  Returns:
    `null`

### isConnectionBased

    public boolean isConnectionBased()

  Returns `true`. KERBEROS authentication scheme is connection based.

  Returns:
    `true`.

Copyright © 1999-2013 The Apache Software Foundation. All Rights Reserved.